<?php

namespace Acme\Bundle\AppEEBundle\DependencyInjection;

use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;
use Symfony\Component\HttpKernel\DependencyInjection\Extension;

/**
 * @author Romain Monceau <romain@akeneo.com>
 */
class AcmeAppEEExtension extends Extension
{
    /**
     * {@inheritdoc}
     */
    public function load(array $config, ContainerBuilder $container)
    {
        $loader = new YamlFileLoader($container, new FileLocator(__DIR__ .'/../Resources/config'));
        $loader->load('entities.yml');

        if (!$container->hasParameter('mongodb_server')) {
            $loader->load('storage_driver/orm/orm.yml');
        }
    }
}
